LMCCONTROL(8)

NAME
lmccontrol - configure Lan Media Corporation SSI/HSSI/T1/T3 devices

SYNOPSIS
lmccontrol [-CcEeKkOoSs] [-l speed] [interface]

DESCRIPTION
The lmccontrol command controls the operation of the Lan Media devices via the lmc(4) driver. Most of the parameters that can be changed relate to the line characteristics or layer 2 protocol options. You can adjust layer 2 protocol keepalives, and line speed. Line characteristics which can be adjusted include CRC length, internal or external clock source, DS3 scrambler, and DS3 cable length.

This program controls the Lan Media SSI, HSSI, T1, and DS3 network interfaces. The SSI is the LMC1000, and runs at various speeds up to 10Mbps. It requires an external CSU/DSU for operation on T1/E1 lines. The HSSI card is the LMC5000, and runs at various speeds up to 52Mbps. It requires an external DSU for operation on DS3 lines. The DS3 is the LMC5245 and runs at a speed of 45Mbps. It has no internal clock generator, and does not require external DSU for DS3 operation. The T1 card is the LMC1200 and runs at a speed of 1.544Mbps or 2Mbps for E1 operation, without CSU/DSU.

The lmccontrol command given without any additional flags retrieves the current card settings from the driver and prints them out.

The options are as follows:

-C  Set the interface to use internal clocking. On the SSI card this uses the internal baud rate generator. On the HSSI card it uses the PCI bus clock. This is only valid for SSI/HSSI cards.

-c  Sets the interface to use an external clock source. This is only valid for SSI/HSSI cards.

-E  Sets 32-bit CRC.

-e  Sets 16-bit CRC.

-K  Disables layer 2 keepalive.

-k  Enables layer 2 keepalive.

-l speed
    To manually specify line speed, in bits per second (for devices without built-in CSU/DSU).

-O  Program the DS3 card for cable length for over 100 feet in length (higher power).

-o  Program the DS3 card for cable lengths of less than 100 feet. In this mode, the card uses lower power to transmit data for short cable runs, which might otherwise overdrive a receiver. This is the default, and will work in most situations even with runs more than 100 feet.

-S  Turn DS3 scrambler on.

-s  Turn DS3 scrambler off.

interface
    The interface name of the Lan Media card (default is lmc0).

EXAMPLES
Set an SSI card for a speed of 2048000 bits/sec with HDLC keepalive off:

    # lmccontrol lmc0 -l 2048000 -K

SEE ALSO
lmc(4), sppp(4), hostname.if(5), ifconfig(8)

HISTORY
The lmccontrol utility first appeared in OpenBSD 2.8.

AUTHORS
The lmccontrol utility was written by Michael Graff <explorer@vix.com>.